<?php

namespace Drupal\universal_entity_api\Normalizer;

/**
 * Normalizes taxonomy term entities.
 */
class TaxonomyNormalizer {

  /**
   * Normalizes an array of taxonomy term entities.
   *
   * @param array $terms
   *   An array of taxonomy term entities to normalize.
   *
   * @return array
   *   An array of normalized taxonomy term data.
   */
  public function normalize(array $terms): array {
    return array_map(fn($term) => [
      'tid' => $term->id(),
      'name' => $term->label(),
      'vocabulary' => $term->bundle(),
    ], $terms);
  }

}
